<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingschemes.overview}">Übersicht Weiterbildungsordnungen</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form method="post" data-th-action="@{/training/trainingschemes/filter}" data-th-object="${trainingSchemeFilter}">
		<fieldset>
			<legend data-th-text="#{trainingschemes.filter}">Titel filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='name', prefix='trainingschemes.')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{trainingschemes.overview}">Übersicht über Weiterbildungsordnungen</caption>
		<thead>
			<tr>
				<th></th>
				<th data-th-text="#{trainingschemes.name}">Name</th>
				<th data-th-text="#{trainingschemes.description}">Beschreibung</th>
				<th data-th-text="#{trainingschemes.duration}">Gesamtdauer</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<th:block data-th-each="trainingScheme: ${trainingSchemes}">
				<tr>
					<td><a data-th-replace="fragments/snippets::edit('/training/trainingschemes', ${trainingScheme.id})"></a></td>
					<td data-th-text="${trainingScheme.name}">Name</td>
					<td data-th-text="${trainingScheme.description}">Beschreibung</td>
					<td data-th-text="${trainingScheme.duration}">Gesamtdauer</td>
					<td><a data-th-replace="fragments/snippets::archive('/training/trainingschemes', ${trainingScheme.id})"></a></td>
				</tr>
				<tr>
					<td></td>
					<td colspan="4">
						<table class="datatable-level-2">
							<caption data-th-text="#{trainingschemes.trainingschemesegments}">Weiterbildungsabschnitte</caption>
							<thead>
								<tr>
								</tr>
							</thead>
							<tbody>
								<tr data-th-each="segment: ${trainingScheme.trainingSchemeSegments}">
									<td><p data-th-replace="fragments/snippets::edit('/training/trainingschemes/__${trainingScheme.id}__/trainingschemesegments', ${segment.id})" /></td>
									<td />
									<td data-th-text="${segment.medicalField.name}">Fachgebiet</td>
									<th:block data-th-each="treatmentType: ${treatmentTypes}">
										<td data-th-if="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">erlaubt</td>
										<td data-th-unless="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">nicht erlaubt</td>
									</th:block>
									<td data-th-text="${segment.duration}">Dauer</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</th:block>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="5"><a data-th-href="@{/training/trainingschemes/create}" data-th-text="#{trainingschemes.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>
	<footer></footer>
</body>
</html>